%
% Copyright (C) 2003,2004 Christopher J. Stawarz <cstawarz@cfa.harvard.edu>
%
% This file is part of SLglade.
%
% SLglade is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% SLglade is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with SLglade; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%


% Use SLgtk's slirprc to get the GTK+ datatypes; the location of this file
% will depend on where SLgtk is installed locally
slirp_include_rc("/usr/local/share/slsh/local-packages/slirprc-gtk.sl");

% Create GladeXML type as child of GObject with finalizer
% slglade_xml_destroy()
slirp_define_opaque("GladeXML","GObject","slglade_xml_destroy");

accepts_null_args["glade_xml_new"] = [2,3];
accepts_null_args["glade_xml_new_from_buffer"] = [3,4];
accepts_null_args["glade_xml_get_widget_prefix"] = [2];

variable ignored_functions = [
  % This one is implemented as a special case of glade_xml_signal_connect()
  "glade_xml_signal_connect_data",

  % These aren't necessary or aren't useful/meaningful in a S-Lang program
  "glade_init",
  "glade_provide",
  "glade_xml_construct",
  "glade_xml_signal_connect_full",
  "glade_xml_signal_autoconnect_full",
  "glade_set_custom_handler",
  "glade_xml_get_type",
  "glade_xml_relative_file"
];

